Levels
Update User Level
Update the experience of a user in a guild
PATCH
Update the experience of a user in a guild
apiKeyheader
X-Api-Key<token>The user's API key to authenticate requests
guildId*SnowflakeA Discord snowflake identifier
Match
^[1-9]\d+$Length
17 <= length <= 19userId*SnowflakeA Discord snowflake identifier
Match
^[1-9]\d+$Length
17 <= length <= 19application/json- body
triggerCooldown?booleanWhether to trigger the leveling cooldown for this user, meaning they won't gain XP for the duration of the cooldown after this request
Default
falsexp*||The amount to modify the user's XP by. We recommend using the atomic increment/decrement methods, if possible.
Default Response
application/json- response
level*curl -X PATCH 'https://api.lurkr.gg/v2/levels/stringstringstrin/users/stringstringstrin' \ -H 'Content-Type: application/json' \ -d '{ "xp": { "increment": 1 }}'Example Response200
{ "level": { "level": 0, "messageCount": 0, "xp": 0 }}